[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImgList' (#lcl)

# TCustomImageList.ClearOverlays

Clears images indexes assigned as overlay images in the image list.

## Declaration

Source position: imglist.pp line 316

`protected procedure TCustomImageList.ClearOverlays;`

## Description

ClearOverlays is a procedure used to reset the image indexes assigned in the internal array for use as an overlay images. ClearOverlays sets each TOverlay index position to the value -1 to indicate that it does not point to an overlay image in the image list.

ClearOverlays is used in the implementation of the Clear and Initialize methods.

## See also

TCustomImageList.Clear |  | Removes all images store in the image list.
TCustomImageList.Initialize |  | Performs the initial set up for the image list.
TOverlay |  | Represents the valid index positions used to access overlay image assignments.